<?xml version="1.0" encoding="utf-8"?>

<creole>

    <files>
        <!-- copie du template fourni par eole-lxc-controller -->
        <file name='/usr/share/eole/bastion/data/90-lxc_rules' mode='0755'/>
    </files>

    <variables>

        <family name='réseau avancé'>
            <variable name='activer_ajout_hosts' redefine='True' hidden='True'>
                <value>oui</value>
            </variable>
            <variable name='adresse_ip_hosts' redefine='True'/>
            <variable name='nom_long_hosts' redefine='True'/>
            <variable name='nom_court_hosts' redefine='True'/>
        </family>

        <family name='EoleAD'>
            <variable name='ad_server' redefine='True' hidden='True'>
                <value>addc</value>
            </variable>
            <variable name='ad_domain' redefine='True' hidden='True'/>
            <variable name='ad_address' redefine='True' hidden='True'>
                <value>192.0.2.2</value>
            </variable>
            <variable name='ad_rescue' redefine='True' hidden='True'/>
            <variable name='ad_user' redefine='True' hidden='True'>
                <value>Administrator</value>
            </variable>
            <variable name='ad_container' redefine='True' hidden='True'/>
            <variable name='ad_ldaps' redefine='True' hidden='True'>
                <value>oui</value>
            </variable>
        </family>

    </variables>

    <constraints>

        <auto name='calc_val' target='adresse_ip_hosts'>
            <param type='eole'>ad_address</param>
        </auto>
        <auto name='concat' target='nom_long_hosts'>
            <param type='eole' name='valeur1'>ad_server</param>
            <param name='valeur2'>.</param>
            <param type='eole' name='valeur3'>ad_domain</param>
        </auto>
        <auto name='calc_val' target='nom_court_hosts'>
            <param type='eole'>ad_server</param>
        </auto>

    </constraints>

    <help>
    </help>

</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
